| hoogle | Source code | Contents | Index

Hoogle.DataBase.Type

Documentation

data DataBase | Source

Constructors

DataBase |

items :: Items |
nameSearch :: NameSearch |
typeSearch :: TypeSearch |
suggest :: Suggest |
aliases :: Aliases |
instances :: Instances |

Instances

Show DataBase
BinaryDefer DataBase

showDataBaseParts :: DataBase -> [(String, String)] | Source

showDataBase :: String -> DataBase -> String | Source

module Hoogle.DataBase.Items
module Hoogle.DataBase.Suggest
module Hoogle.DataBase.Aliases
module Hoogle.DataBase.Instances
module Hoogle.DataBase.TypeSearch.All
module Hoogle.DataBase.NameSearch
Produced by Haddock version 2.4.2